Skip to content

Begin 2FA setup via temp token​

POST
/api/v1/auth/2fa/setup-with-temp

Initiate two-factor authentication setup using a temporary token, intended for organization-enforced 2FA setup during login.

Request Body​

application/json
JSON
{
  
"temp_token": "string",
  
"method": "string"
}

Responses​

Successful Response

application/json
JSON
{
  
"method": "string",
  
"secret": "string",
  
"otpauth_uri": "string",
  
"message": "string"
}

Playground​

Server
Body

Samples​

Powered by VitePress OpenAPI

XC AI Content Automation